Name:          ant4eclipse0
Version:       0.4.0
Release:       %mkrel 1
Summary:       A collection of tasks for Apache Ant that parse eclipse metadata
Group:         Development/Java
License:       Eclipse Public License
Url:           http://www.ant4eclipse.org/
Source0:       http://sourceforge.net/projects/ant4eclipse/files/ant4eclipse/0.4.0/ant4eclipse-0.4.0.tar.gz
BuildRequires: ant 
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
The aim of ant4eclipse is to avoid redundancy between Eclipse and Ant configurations.
Its tasks can read Eclipse' configuration files, such as .classpath or .psf.
Changes of Eclipse configurations are immediately visible to buildfiles without changes.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Ant4Eclipse - A collection of tasks for Apache Ant that parse eclipse metadata.

This package contains javadoc for %{name}.

%prep
%setup -q -n ant4eclipse-%{version}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

unzip -qq ant4eclipse-%{version}-src.zip
mkdir -p classes
%build

javac \
  -d classes \
  -classpath $(build-classpath ant ant/ant-junit junit) \
  -target 1.5 -source 1.5 \
  $(find source -type f -name "*.java")

pushd classes
  mkdir -p META-INF
cat > META-INF/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: 1.6.0_22 (Sun Microsystems Inc.)
Implementation-Title: ant4eclipse
Implementation-Version: %{version}
EOF
  jar cMf ../ant4eclipse-%{version}.jar *
popd

javadoc -d apidocs \
  -source 1.5 \
  -encoding iso-8859-1 \
  $(find source -type f -name "*.java")

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 ant4eclipse-%{version}.jar %{buildroot}%{_javadir}/ant4eclipse0-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/ant4eclipse0-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/ant4eclipse0-%{version}
ln -s ant4eclipse0-%{version} %{buildroot}%{_javadocdir}/ant4eclipse0

%files
%{_javadir}/ant4eclipse0-%{version}.jar
%{_javadir}/ant4eclipse0.jar

%files javadoc
%{_javadocdir}/ant4eclipse0-%{version}
%{_javadocdir}/ant4eclipse0



%changelog
* Wed Jul 27 2011 dmorgan <dmorgan> 0.4.0-1.mga2
+ Revision: 129951
- Clean spec file

* Fri Jun 10 2011 gil <gil> 0.4.0-0.mga2
+ Revision: 102788
- imported package ant4eclipse0


* Wed Jun 08 2011 gil <gil> 0.4.0-0.%%mkrel
- initial rpm